## dclock 2.2.2

=== Makefile ===
# Makefile generated by imake - do not edit!
# $Xorg: imake.c,v 1.6 2001/02/09 02:03:15 xorgcvs Exp $

# ----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and </tmp/IIf.NNK5fN>
# $Xorg: Imake.tmpl,v 1.4 2000/08/17 19:41:46 cpqbld Exp $
# $XdotOrg: xc/config/cf/Imake.tmpl,v 1.6 2004/07/28 03:24:29 gisburn Exp $
#
#
#
#
# $XFree86: xc/config/cf/Imake.tmpl,v 3.155 2003/12/24 18:58:41 dickey Exp $
# ----------------------------------------------------------------------

all::

.SUFFIXES: .i

# $XdotOrg: xc/config/cf/Imake.cf,v 1.4 2004/08/11 21:14:01 kem Exp $
# $Xorg: Imake.cf,v 1.4 2000/08/17 19:41:45 cpqbld Exp $

# $XFree86: xc/config/cf/Imake.cf,v 3.88 2003/12/16 21:30:21 herrb Exp $

# Keep cpp from replacing path elements containing i486/i586/i686

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $TOG: site.sample /main/r64_final/1 1998/02/05 16:28:49 kaleb $

# site:  $XFree86: xc/config/cf/site.def,v 3.24 2000/06/25 20:17:29 dawes Exp $

# $XFree86: xc/config/cf/xf86site.def,v 3.186 2003/06/25 18:06:22 eich Exp $

# ----------------------------------------------------------------------
# platform-specific configuration parameters - edit linux.cf to change

# $XdotOrg: xc/config/cf/linux.cf,v 1.13 2004/08/11 21:14:01 kem Exp $
# platform:  $Xorg: linux.cf,v 1.3 2000/08/17 19:41:47 cpqbld Exp $

# platform:  $XFree86: xc/config/cf/linux.cf,v 3.220 2003/12/30 22:38:33 tsi Exp $

# operating system:  Linux 2.6.9 i686 [ELF] (2.6.9)
# libc:	(6.3.3)
# binutils:	(215)

# $Xorg: lnxLib.rules,v 1.3 2000/08/17 19:41:47 cpqbld Exp $
# $XFree86: xc/config/cf/lnxLib.rules,v 3.52 2003/10/31 20:49:03 herrb Exp $

# $XdotOrg: xc/config/cf/xorg.cf,v 1.27.2.2 2004/09/17 15:38:18 kem Exp $

# $Xorg: xfree86.cf,v 1.4 2000/08/17 19:41:49 cpqbld Exp $

XORG_VERSION_CURRENT = (((6) * 10000000) + ((8) * 100000) + ((1) * 1000) + 0)
RELEASE_VERSION = RELEASE-1

AFB_DEFS = -DUSE_AFB

DRIVERSDKDIR = $(USRLIBDIR)/Server
DRIVERSDKMODULEDIR = $(USRLIBDIR)/Server/modules
DRIVERSDKINCLUDEDIR = $(USRLIBDIR)/Server/include

       XF86SRC = $(SERVERSRC)/hw/xfree86
    XF86COMSRC = $(XF86SRC)/common
 XF86PARSERSRC = $(XF86SRC)/parser
     XF86OSSRC = $(XF86SRC)/os-support
 XF86DRIVERSRC = $(XF86SRC)/drivers
     DRIVERSRC = $(XF86DRIVERSRC)

        XFREE86DOCDIR = $(DOCDIR)
      XFREE86PSDOCDIR = $(DOCPSDIR)
     XFREE86PDFDOCDIR = $(DOCPDFDIR)
    XFREE86HTMLDOCDIR = $(DOCHTMLDIR)
XFREE86JAPANESEDOCDIR = $(DOCDIR)/Japanese

# $Xorg: xf86.rules,v 1.3 2000/08/17 19:41:48 cpqbld Exp $

# $XFree86: xc/config/cf/xf86.rules,v 3.34tsi Exp $

# ----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $TOG: site.sample /main/r64_final/1 1998/02/05 16:28:49 kaleb $

# site:  $XFree86: xc/config/cf/site.def,v 3.24 2000/06/25 20:17:29 dawes Exp $

# ---------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $Xorg: Imake.rules,v 1.3 2000/08/17 19:41:46 cpqbld Exp $
# rules:  $XdotOrg: xc/config/cf/Imake.rules,v 1.6 2004/08/13 17:21:43 krh Exp $
#
#
#
#
# rules:  $XFree86: xc/config/cf/Imake.rules,v 3.128 2003/11/15 03:25:17 dawes Exp $

.PHONY: all interfaces install install.man install.lib install.sdk 	depend includes cleandir

 _NULLCMD_ = @ echo -n

X_BYTE_ORDER = X_LITTLE_ENDIAN

GLIDE2INCDIR =

GLIDE3INCDIR = /usr/include/glide3

GLIDE3LIBNAME = glide3

TKLIBNAME =

TKLIBDIR =

TCLLIBNAME =

TCLIBDIR =

          PATHSEP = /
            SHELL = /bin/sh -e

              TOP = .
      CURRENT_DIR = .

            IMAKE = imake
           DEPEND = gccmakedep
        MKDIRHIER = mkdir -p
          REVPATH = revpath
    EXPORTLISTGEN =
             RMAN = rman
     RMANBASENAME = rman
      RMANOPTIONS = -f HTML
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/util

          INCROOT = /usr/X11R6/include
        USRLIBDIR = /usr/X11R6/lib
           VARDIR = /var
        VARLIBDIR = $(VARDIR)/lib
  SYSTEMUSRLIBDIR = /usr/lib
  SYSTEMUSRINCDIR = /usr/include
         SHLIBDIR = /usr/X11R6/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/X11R6/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)1
        LIBMANDIR = $(MANSOURCEPATH)3
       FILEMANDIR = $(MANSOURCEPATH)5
       MISCMANDIR = $(MANSOURCEPATH)7
     DRIVERMANDIR = $(MANSOURCEPATH)4
          ICONDIR = /usr/share/icons
      XCURSORPATH = "~/.icons:/usr/share/icons:/usr/share/pixmaps"
     LOGDIRECTORY = $(VARDIR)/log

        VARRUNDIR = $(VARDIR)/run

         VARDBDIR = $(VARDIR)/lib

               AR = ar clq

# Nice try but useless: make will inherit BOOTSTRAPCFLAGS
# from  top Makefile
  BOOTSTRAPCFLAGS = -O2  -pipe -m32 -march=i386 -mtune=pentium4 -pipe

               CC = gcc -m32
               AS = gcc -m32 -c -x assembler -Wa,--noexecstack

.SUFFIXES: .cc

              CXX = c++ -m32

          CXXFILT = c++filt

           CXXLIB = -lstdc++

    CXXDEBUGFLAGS = -O2  -pipe -m32 -march=i386 -mtune=pentium4 -fno-strict-aliasing -pipe
CXXDEPENDINCLUDES =
 CXXEXTRA_DEFINES =
CXXEXTRA_INCLUDES =
   CXXSTD_DEFINES = -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L 				-D_POSIX_SOURCE -D_XOPEN_SOURCE 				-D_BSD_SOURCE -D_SVID_SOURCE 				  				 $(CXXPROJECT_DEFINES)
       CXXOPTIONS =
      CXXINCLUDES = $(INCLUDES) $(TOP_INCLUDES) $(CXXEXTRA_INCLUDES)
       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(DEFINES) $(CXXEXTRA_DEFINES)
         CXXFLAGS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES)

         COMPRESS = compress
          GZIPCMD = gzip

              CPP = cpp $(STD_CPP_DEFINES)
           RAWCPP = cpp -undef $(STD_CPP_OPTIONS)
    PREPROCESSCMD = gcc -m32 -E $(STD_CPP_DEFINES)

          INSTALL = install
     INSTALLFLAGS = -c

               LD = gcc -m32 -nostdlib

              LEX = flex -l
               M4 = m4
          M4FLAGS =
           LEXLIB = -lfl
             YACC = bison -y
           CCYACC = bison -y

             LINT = lint

      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv -f
               CP = cp

           RANLIB = ranlib

  RANLIBINSTFLAGS =

               RM = rm -f
             PERL = perl
         PERLOPTS =
     PERLENVSETUP = env LC_ALL=C
        MANSUFFIX = 1x
     LIBMANSUFFIX = 3x
    FILEMANSUFFIX = 5x
    MISCMANSUFFIX = 7x
  DRIVERMANSUFFIX = 4x
   ADMINMANSUFFIX = 8
     MANSRCSUFFIX = man
     MANNEWSUFFIX = _man
          MANDEFS = -D__apploaddir__=$(XAPPLOADDIR) -D__appmansuffix__=$(MANSUFFIX) -D__filemansuffix__=$(FILEMANSUFFIX) -D__libmansuffix__=$(LIBMANSUFFIX) -D__miscmansuffix__=$(MISCMANSUFFIX) -D__drivermansuffix__=$(DRIVERMANSUFFIX) -D__adminmansuffix__=$(ADMINMANSUFFIX) -D__projectroot__=$(PROJECTROOT) -D__xconfigfile__=$(XCONFIGFILE) -D__xconfigdir__=$(XCONFIGDIR) -D__xlogfile__=$(XLOGFILE) -D__xservername__=$(XSERVERNAME) $(XORGMANDEFS) $(VENDORMANDEFS)

   COMPRESSMANCMD = gzip -n

            TROFF = groff -Tps
            NROFF = nroff

         MSMACROS = -ms
        MANMACROS = -man
              TBL = tbl
              EQN = eqn
             NEQN = neqn
              COL = col
         COLFLAGS = -b

            MODCC = gcc -m32

           MODCPP = cpp
        MODCFLAGS = $(CFLAGS)
            MODAS = gcc -m32 -c -x assembler -Wa,--noexecstack
       MODASFLAGS =

            MODLD = gcc -m32 -nostdlib

       MODLDFLAGS =
MODLDCOMBINEFLAGS = -r
            MODAR = ar clq

        MODRANLIB = ranlib

     STD_INCLUDES =
  STD_CPP_OPTIONS = -traditional
  STD_CPP_DEFINES = -traditional -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L 				-D_POSIX_SOURCE -D_XOPEN_SOURCE 				-D_BSD_SOURCE -D_SVID_SOURCE 				  				 $(PROJECT_DEFINES)
      STD_DEFINES = -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L 				-D_POSIX_SOURCE -D_XOPEN_SOURCE 				-D_BSD_SOURCE -D_SVID_SOURCE 				  				 $(PROJECT_DEFINES)
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

   PARALLELMFLAGS =

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS = -shared $(SHLIBGLOBALSFLAGS)

         PICFLAGS = -fPIC

      CXXPICFLAGS = -fPIC

    PROTO_DEFINES = -DFUNCPROTO=15 -DNARROWPROTO

     INSTPGMFLAGS =

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4711
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -m 4711

      PROJECTROOT = /usr/X11R6

      CDEBUGFLAGS = -O2  -pipe -m32 -march=i386 -mtune=pentium4 -fno-strict-aliasing -pipe
        CCOPTIONS =

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(INSTALLED_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(MODULE_DEFINES) $(DEFINES) $(EXTRA_DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(MODULE_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR) $(INSTALLED_LIBS)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)

           LDLIBS = $(LDPOSTLIBS) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =
   DEPEND_DEFINES =

# Not sure this belongs here
         TKLIBDIR =
         TKINCDIR =
        TKLIBNAME =
        TKLIBRARY = -L$(TKLIBDIR) -l$(TKLIBNAME)
        TCLLIBDIR =
        TCLINCDIR =
       TCLLIBNAME =
       TCLLIBRARY = -L$(TCLLIBDIR) -l$(TCLLIBNAME)

        MACROFILE = linux.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =
   IMAKE_WARNINGS = -Wundef

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES) 		    $(IMAKE_WARNINGS)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/X11.tmpl 			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) 			$(IRULESRC)/xfree86.cf $(IRULESRC)/xf86.rules $(IRULESRC)/xorgsite.def $(IRULESRC)/host.def $(EXTRA_ICONFIGFILES)

# $Xorg: X11.rules,v 1.4 2000/08/17 19:41:46 cpqbld Exp $

# $XFree86: xc/config/cf/X11.rules,v 1.6 2001/01/17 16:22:31 dawes Exp $

# ----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $XdotOrg: xc/config/cf/X11.tmpl,v 1.35 2004/09/03 16:18:18 kem Exp $
# $Xorg: X11.tmpl,v 1.6 2000/08/17 19:41:46 cpqbld Exp $
#
#
#
#
# $XFree86: xc/config/cf/X11.tmpl,v 1.248 2004/02/16 04:07:37 dawes Exp $

STICKY_DEFINES = -DHAS_STICKY_DIR_BIT

FCHOWN_DEFINES = -DHAS_FCHOWN

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

             XTOP = $(TOP)
           BINDIR = /usr/X11R6/bin
     BUILDINCROOT = $(TOP)/exports
      BUILDINCDIR = $(BUILDINCROOT)/include
      BUILDINCTOP = ../..
      BUILDLIBDIR = $(TOP)/exports/lib
      BUILDLIBTOP = ../..
      BUILDBINDIR = $(TOP)/exports/bin
      BUILDBINTOP = ../..
   BUILDMODULEDIR = $(BUILDLIBDIR)/modules
     BUILDI18NDIR = $(BUILDLIBDIR)/locale
   BUILDMODULETOP = $(BUILDLIBTOP)/..
    XBUILDINCROOT = $(XTOP)/exports
     XBUILDINCDIR = $(XBUILDINCROOT)/include/X11
     XBUILDINCTOP = ../../..
     XBUILDBINDIR = $(XBUILDINCROOT)/bin
           INCDIR = $(INCROOT)
           ADMDIR = /var/log
           LIBDIR = /usr/X11R6/lib/X11

=== debian/changelog ===
dclock (2.2.2-8) unstable; urgency=medium

  * debian/rules, debian/control
  - Use hardening flags and remove deprecated hardening-wrapper
  * debian/control
  - Update Standards-Version to 3.9.5 (no other changes required)

 -- Ricardo Mones <mones@debian.org>  Tue, 26 Aug 2014 17:45:17 +0200

dclock (2.2.2-7) unstable; urgency=low

  * debian/control, debian/compat, debian/rules
  - Enable hardening through hardening-wrapper
  - Bump debhelper compat level to 9
  * debian/control
  - Update Vcs-* headers to use the canonical hostname
  - Bump Standards-Version to 3.9.4 (no other changes)

 -- Ricardo Mones <mones@debian.org>  Wed, 18 Sep 2013 01:06:17 +0200

dclock (2.2.2-6) unstable; urgency=low

  * debian/control
    - Bump Standards-Version to 3.9.2 (no other changes)
    - Development moved to git.debian.org: added Vcs-* headers 

 -- Ricardo Mones <mones@debian.org>  Sun, 21 Aug 2011 19:21:23 +0200

dclock (2.2.2-5) unstable; urgency=low

  * patches/01_sound_paths.diff
    - Fix default alarm file path (Closes: #605956)
  * debian/control
    - Bump Standards-Version to 3.9.1 (no other changes)

 -- Ricardo Mones <mones@debian.org>  Sat, 11 Dec 2010 13:00:54 +0100

dclock (2.2.2-4) unstable; urgency=low

  * debian/compat
    - Really update compat level to match debhelper version
  * debian/rules, debian/install
    - Fix install of X11 defaults (Closes: #514275)
  * debian/patches/02_manpage_fixes.diff
    - Add patch to fix manpage and make it lintian clean
  * debian/patches/03_font_setting_fix.diff
    - Patch by Robert J. Macomber to fix font setting (Closes: #514277)
  * debian/control
    - Added homepage field, fix description punctuation a bit

 -- Ricardo Mones <mones@debian.org>  Tue, 18 May 2010 12:04:36 +0200

dclock (2.2.2-3) unstable; urgency=low

  * New maintainer (Closes: #486757)
  * debian/control
    - Bump Standards-Version to 3.8.4 (no other changes)
  * debian/{docs,manpages,examples}
    - Added from files on rules, put README into new examples as it
    contains several ones.
  * debian/rules, debian/control, debian/compat, debian/clean
    - Switched to debhelper sequencer, updated required version
    - Removed unnecessary quilt build depend

 -- Ricardo Mones <mones@debian.org>  Tue, 18 May 2010 01:53:24 +0200

dclock (2.2.2-2) unstable; urgency=low

  * QA upload.
  * Switch to format 3.0 (quilt). Closes: #538679

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 05 Nov 2009 23:41:42 +0100

dclock (2.2.2-1) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>
  * New upstream release. (Closes: #485367).
  * Add comment about repacking tarball in copyright.
  * Fix up debian/copyright format.
  * Add watch file.
  * Add quilt patch system.
  * 01_sound_paths.diff - Move sound files to more sensible path.
  * Replace deprecated xutils build-dep with xutils-dev.
  * Bump debhelper build-dep version to >= 5.
  * Move DH_COMPAT from rules to compat and set to 5.
  * Bump Standards Version to 3.8.0.
    + Menu policy transition.

 -- Barry deFreese <bdefreese@debian.org>  Wed, 04 Feb 2009 17:28:22 -0500

dclock (2.1.2-8) unstable; urgency=low

  * fix FTBFS (X11's imake build procedure is gone).  Thanks to Harri
    Dunkel for the patch (closes: #363055)

 -- Adrian Bridgett <bridgett@debian.org>  Sun,  9 Jul 2006 09:50:08 +0100

dclock (2.1.2-7) unstable; urgency=low

  * allow overriding of bellFile sound and alarmFile sounds. 
    Based on a patch by Nadim Shaikli (closes: #289780)
  * upgrade DH_COMPAT to v4

 -- Adrian Bridgett <bridgett@debian.org>  Mon, 29 Aug 2005 14:06:08 +0100

dclock (2.1.2-6) unstable; urgency=low

  * ACK of NMU
  * disable external sounds if we have problems using them (closes: #266359)
  * only ring the alarm bell once, not as many times as we can in 5seconds

 -- Adrian Bridgett <bridgett@debian.org>  Tue,  7 Sep 2004 10:46:11 +0100

dclock (2.1.2-5.1) unstable; urgency=low

  * Non-maintainer upload
  * Dclock.c, playbell(): print error and exit if audio player can not
    be execv'ed  (closes: #253704)
  * recommend package 'sox' to enable sound and explain it in the package
    description (closes: #234258)
  * build-depend on debhelper >= 2 (closes: #259729)

 -- Martin Pitt <mpitt@debian.org>  Fri, 16 Jul 2004 14:26:56 +0200

dclock (2.1.2-5) unstable; urgency=low

  * manpage didn't mention -noblink option (closes: #227068)
    thanks to Sven Rudolph for spotting this and providing a patch.

 -- Adrian Bridgett <bridgett@debian.org>  Sun, 18 Jan 2004 13:44:46 +0000

dclock (2.1.2-4) unstable; urgency=low

  * s/miltime/militaryTime/ for X resource in manpage (closes: #198669)

 -- Adrian Bridgett <bridgett@debian.org>  Tue, 24 Jun 2003 21:37:37 +0100

dclock (2.1.2-3) unstable; urgency=low

  * lintian fixes
  * darn typo in last changelog - let's close it here (closes: #185864)

 -- Adrian Bridgett <bridgett@debian.org>  Sat, 31 May 2003 22:01:50 +0100

dclock (2.1.2-2) unstable; urgency=low

  * patch from Robert Macomber to stop dclock missing some updates.
    I've actually only added 1 onto next_intr, as I can explain that, but
    not 100 (close: #185864)

 -- Adrian Bridgett <bridgett@debian.org>  Mon, 21 Apr 2003 19:02:40 +0100

dclock (2.1.2-1) unstable; urgency=low

  * slightly newer code at upstream location (I've named it 2.1.2)
  * build-depends were right, mark bug as fixed (closes: #122166)
  * app-defaults file was wrongly named. Set dclock.input:true to fix
    a WM interaction(closes: #98840)

 -- Adrian Bridgett <bridgett@debian.org>  Sat,  2 Feb 2002 21:26:38 +0000

dclock (2.1.1-6) unstable; urgency=low

  * add some build-depends for #122166

 -- Adrian Bridgett <bridgett@debian.org>  Mon,  3 Dec 2001 18:53:36 +0000

dclock (2.1.1-5) unstable; urgency=low

  * refer to the X Window System properly (close: #119841)

 -- Adrian Bridgett <bridgett@debian.org>  Sun,  2 Dec 2001 14:32:00 +0000

dclock (2.1.1-4) unstable; urgency=low



=== debian/control ===
Source: dclock
Section: x11
Priority: optional
Maintainer: Ricardo Mones <mones@debian.org>
Build-depends: debhelper (>= 9), xutils-dev, libxt-dev, libxft-dev,
 libfreetype6-dev, libxext-dev
Standards-Version: 3.9.5
Homepage: http://opencircuitdesign.com/~tim/programs/
Vcs-Git: git://anonscm.debian.org/users/mones/dclock.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/mones/dclock.git

Package: dclock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: sox
Description: Digital clock for the X Window System with flexible display
 Dclock main feature is its great flexibility in how it can draw. You can 
 even display the output from "date" in it such as "Wednesday, 3rd Jan".
 Dclock also supports setting an alarm.
 .
 You need the package sox if you want to enable sound for alarm and
 hourly bells (rather than beeps).

=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_build:
	xmkmf
	$(MAKE) CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" \
		CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_install:
	dh_install
	mv $(CURDIR)/debian/dclock/etc/X11/app-defaults/Dclock.ad \
	   $(CURDIR)/debian/dclock/etc/X11/app-defaults/Dclock

=== debian/watch ===
version=3

http://opencircuitdesign.com/~tim/programs/archive/dclock-([\d.]+)\.tgz
